import { Component, EventEmitter, Output } from "@angular/core";
import { MasterService } from "../../service/master-api.service";
interface Icon {
  name: string;
  icon: string;
}
@Component({
  selector: "app-select-icon",
  templateUrl: "./select-icon.component.html",
  styleUrls: ["./select-icon.component.css"],
})
export class SelectIconComponent {
  @Output() iconSelected: EventEmitter<string> = new EventEmitter<string>();
  icons: any[] = [];
  constructor(private masterService: MasterService) {}
  ngOnInit(): void {
    this.masterService.getIconData().subscribe((res) => {
      this.icons = res.rows;
    });
  }

  onSelect(icon: Icon): void {
    this.iconSelected.emit(icon.icon);
  }
}
